Public Class 下拉清單_1
    Dim 頁數, 總頁數, F1, F2, F3, F4, F5, F6, F7, F8 As Integer
    Dim 有選擇 As Boolean
    Dim EER As String
    Private Sub PnlTitleBar_Paint(sender As Object, e As PaintEventArgs) Handles PnlTitleBar.Paint
    End Sub
    Private Sub 下拉清單_1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '--目前設定PPBB最長3000格------
    End Sub
    Private Sub 下拉清單_1_Closed(sender As Object, e As EventArgs) Handles MyBase.Closed
        If 有選擇 = False Then : PPAA = "" : End If
    End Sub
    Private Sub 下拉清單_1_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        If 系統語言 = "繁體中文" Then : 主題_lb.Text = "選擇清單" : EER = "選取的位置沒有資料!!"
        ElseIf 系統語言 = "English" Then : 主題_lb.Text = "Pick List" : EER = "No data available at selected location!!"
        ElseIf 系統語言 = "Indonesian" Then : 主題_lb.Text = "Daftar Pilih" : EER = "Tidak ada data yang tersedia di lokasi yang dipilih!!" : End If

        有選擇 = False
        總頁數 = NN1 / 99 + 1 : 頁數 = 1 : F1 = 0 : F2 = 24 : F3 = 25 : F4 = 49 : F5 = 50 : F6 = 74 : F7 = 75 : F8 = 99
        If NN1 < 99 Then : 上一頁_bt.Enabled = False : 下一頁_bt.Enabled = False : Else : 上一頁_bt.Enabled = False : 下一頁_bt.Enabled = True : End If

        ListBox1.Items.Clear() : ListBox2.Items.Clear() : ListBox3.Items.Clear() : ListBox4.Items.Clear()
        If NN1 <= 24 Then
            For I As Integer = F1 To NN1 : ListBox1.Items.Add(PPBB(I)) : Next
        ElseIf NN1 > 24 And NN1 <= 49 Then
            For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To NN1 : ListBox2.Items.Add(PPBB(I)) : Next
        ElseIf NN1 > 49 And NN1 <= 74 Then
            For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To F4 : ListBox2.Items.Add(PPBB(I)) : Next
            For I As Integer = F5 To NN1 : ListBox3.Items.Add(PPBB(I)) : Next
        ElseIf NN1 > 74 Then
            For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To F4 : ListBox2.Items.Add(PPBB(I)) : Next
            For I As Integer = F5 To F6 : ListBox3.Items.Add(PPBB(I)) : Next : For I As Integer = F7 To F8 : ListBox4.Items.Add(PPBB(I)) : Next
        End If
    End Sub
    Private Sub 上一頁_bt_Click(sender As Object, e As EventArgs) Handles 上一頁_bt.Click
        頁數 -= 1 : ListBox1.Items.Clear() : ListBox2.Items.Clear() : ListBox3.Items.Clear() : ListBox4.Items.Clear()
        F1 -= 100 : F2 -= 100 : F3 -= 100 : F4 -= 100 : F5 -= 100 : F6 -= 100 : F7 -= 100 : F8 -= 100
        If 頁數 = 1 Then
            上一頁_bt.Enabled = False : 下一頁_bt.Enabled = True
        ElseIf 頁數 > 1 Then
            上一頁_bt.Enabled = True : 下一頁_bt.Enabled = True
        End If
        For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To F4 : ListBox2.Items.Add(PPBB(I)) : Next
        For I As Integer = F5 To F6 : ListBox3.Items.Add(PPBB(I)) : Next : For I As Integer = F7 To F8 : ListBox4.Items.Add(PPBB(I)) : Next
    End Sub
    Private Sub 下一頁_bt_Click(sender As Object, e As EventArgs) Handles 下一頁_bt.Click
        頁數 += 1 : ListBox1.Items.Clear() : ListBox2.Items.Clear() : ListBox3.Items.Clear() : ListBox4.Items.Clear()
        F1 += 100 : F2 += 100 : F3 += 100 : F4 += 100 : F5 += 100 : F6 += 100 : F7 += 100 : F8 += 100
        If 頁數 < 總頁數 Then
            上一頁_bt.Enabled = True : 下一頁_bt.Enabled = True
            For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To F4 : ListBox2.Items.Add(PPBB(I)) : Next
            For I As Integer = F5 To F6 : ListBox3.Items.Add(PPBB(I)) : Next : For I As Integer = F7 To F8 : ListBox4.Items.Add(PPBB(I)) : Next
        ElseIf 頁數 = 總頁數 Then
            上一頁_bt.Enabled = True : 下一頁_bt.Enabled = False
            If NN1 <= F2 Then
                For I As Integer = F1 To NN1 : ListBox1.Items.Add(PPBB(I)) : Next
            ElseIf NN1 <= F4 Then
                For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To NN1 : ListBox2.Items.Add(PPBB(I)) : Next
            ElseIf NN1 <= F6 Then
                For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To F4 : ListBox2.Items.Add(PPBB(I)) : Next
                For I As Integer = F5 To NN1 : ListBox3.Items.Add(PPBB(I)) : Next
            ElseIf NN1 <= F8 Then
                For I As Integer = F1 To F2 : ListBox1.Items.Add(PPBB(I)) : Next : For I As Integer = F3 To F4 : ListBox2.Items.Add(PPBB(I)) : Next
                For I As Integer = F5 To F6 : ListBox3.Items.Add(PPBB(I)) : Next : For I As Integer = F7 To NN1 : ListBox4.Items.Add(PPBB(I)) : Next
            End If
        End If
    End Sub
    Private Sub ListBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListBox1.SelectedIndexChanged
        If IsNothing(ListBox1.SelectedItem) = True Then : 通知訊息 = EER : 訊息類型 = "1" : 通知視窗.ShowDialog() : 有選擇 = False
        Else : PPAA = ListBox1.SelectedItem.ToString() : 有選擇 = True : Me.Close() : End If
    End Sub
    Private Sub ListBox2_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListBox2.SelectedIndexChanged
        If IsNothing(ListBox2.SelectedItem) = True Then : 通知訊息 = EER : 訊息類型 = "1" : 通知視窗.ShowDialog() : 有選擇 = False
        Else : PPAA = ListBox2.SelectedItem.ToString() : 有選擇 = True : Me.Close() : End If
    End Sub
    Private Sub ListBox3_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListBox3.SelectedIndexChanged
        If IsNothing(ListBox3.SelectedItem) = True Then : 通知訊息 = EER : 訊息類型 = "1" : 通知視窗.ShowDialog() : 有選擇 = False
        Else : PPAA = ListBox3.SelectedItem.ToString() : 有選擇 = True : Me.Close() : End If
    End Sub
    Private Sub ListBox4_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListBox4.SelectedIndexChanged
        If IsNothing(ListBox4.SelectedItem) = True Then : 通知訊息 = EER : 訊息類型 = "1" : 通知視窗.ShowDialog() : 有選擇 = False
        Else : PPAA = ListBox4.SelectedItem.ToString() : 有選擇 = True : Me.Close() : End If
    End Sub
    Private Sub Cancel_bt_Click(sender As Object, e As EventArgs) Handles Cancel_bt.Click
        Me.Close()
    End Sub

    Dim nOldWndLeft, nOldWndTop, nClickX, nClickY As Integer
    Private Sub PnlTitleBar_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PnlTitleBar.MouseDown
        '紀錄滑鼠點選時的視窗位置與滑鼠點選位置
        nOldWndLeft = Me.Left : nOldWndTop = Me.Top : nClickX = e.X : nClickY = e.Y
    End Sub
    Private Sub PnlTitleBar_MouseMove(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PnlTitleBar.MouseMove
        If PnlTitleBar.Capture = True Then        '如果滑鼠按著拖曳
            Me.Top = e.Y + nOldWndTop - nClickY : Me.Left = e.X + nOldWndLeft - nClickX   '設定新的視窗位置
            nOldWndLeft = Me.Left : nOldWndTop = Me.Top   '更新紀錄的視窗位置
        End If
    End Sub
    Private Sub 主題_lb_MouseDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles 主題_lb.MouseDown
        '紀錄滑鼠點選時的視窗位置與滑鼠點選位置
        nOldWndLeft = Me.Left : nOldWndTop = Me.Top : nClickX = e.X : nClickY = e.Y
    End Sub
    Private Sub 主題_lb_MouseMove(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles 主題_lb.MouseMove
        If 主題_lb.Capture = True Then        '如果滑鼠按著拖曳
            Me.Top = e.Y + nOldWndTop - nClickY : Me.Left = e.X + nOldWndLeft - nClickX   '設定新的視窗位置
            nOldWndLeft = Me.Left : nOldWndTop = Me.Top   '更新紀錄的視窗位置
        End If
    End Sub
End Class